package com.yandex.syrinxsdk.sample.helper;

import android.app.Activity;
import android.os.Build;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentTransaction;
import android.view.Window;
import android.view.WindowManager;

public class FragmentHelper {
    private FragmentHelper() {
        throw new UnsupportedOperationException();
    }

    public static void replace(@NonNull FragmentManager fragmentManager, int layout, @NonNull Fragment fragment) {
        FragmentTransaction ft = fragmentManager.beginTransaction();
        ft.replace(layout, fragment, fragment.getClass().getSimpleName());
        ft.commit();
    }

    public static void replaceAndAddToBackStack(@NonNull FragmentManager fragmentManager, int layout, @NonNull Fragment fragment) {
        FragmentTransaction ft = fragmentManager.beginTransaction();
        ft.replace(layout, fragment, fragment.getClass().getSimpleName());
        ft.addToBackStack(null);
        ft.commit();
    }

    public static void changeActionBarColor(@Nullable Activity activity, int resId) {
        if (activity != null) {
            if (Build.VERSION.SDK_INT >= 21) {
                Window window = activity.getWindow();
                window.clearFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS);
                window.addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS);
                window.setStatusBarColor(activity.getResources().getColor(resId));
            }
        }
    }
}
