package com.yandex.syrinxsdk.sample.helper;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.support.annotation.NonNull;
import android.widget.Toast;

import com.yandex.syrinxsdk.sample.R;

public final class IntentHelper {
    private IntentHelper() {
        throw new UnsupportedOperationException();
    }

    public static void shareText(@NonNull Activity activity, @NonNull String text) {
        Intent sendIntent = new Intent();
        sendIntent.setAction(Intent.ACTION_SEND);
        sendIntent.putExtra(Intent.EXTRA_TEXT, text);
        sendIntent.setType("text/plain");
        try {
            activity.startActivity(sendIntent);
        } catch (ActivityNotFoundException e) {
            Toast.makeText(activity, R.string.error_no_activity_found, Toast.LENGTH_SHORT).show();
        }
    }

}
