package com.yandex.syrinxsdk.sample.helper;

import android.content.Context;
import android.support.annotation.NonNull;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;

public final class KeyboardHelper {
    private KeyboardHelper() {
        throw new UnsupportedOperationException();
    }

    public static void hideKeyboard(@NonNull Context context, @NonNull EditText editText) {
        if (editText.hasFocus()) {
            InputMethodManager inputManager = (InputMethodManager) context.getSystemService(Context.INPUT_METHOD_SERVICE);
            inputManager.hideSoftInputFromWindow(editText.getWindowToken(), InputMethodManager.HIDE_NOT_ALWAYS);
        }
    }
}
