package com.yandex.syrinxsdk.sample.helper;
import android.os.Handler;
import android.os.Message;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

import com.yandex.syrinxsdk.sample.fragment.MainFragment;

import java.util.Random;

public class MSGHandler extends Handler {
    public static final int DEFAULT_MIN_VALUE = 100;
    public static final int DEFAULT_MAX_VALUE = 1500;
    @Nullable
    private final HandlerListener listener;
    @NonNull
    private final Random random;
    private int min = DEFAULT_MIN_VALUE;
    private int max = DEFAULT_MAX_VALUE;

    public MSGHandler(HandlerListener listener) {
        this(listener, DEFAULT_MIN_VALUE, DEFAULT_MAX_VALUE);
    }

    public MSGHandler(@Nullable HandlerListener tbdListener, int min, int max) {
        this.listener = tbdListener;
        this.random = new Random();
        this.min = min;
        this.max = max;
    }

    @Override
    public void handleMessage(@NonNull final Message msg) {
        super.handleMessage(msg);
        switch (msg.what) {
            case MainFragment.MSG_UPDATE_CHART:
                if (listener != null) {
                    listener.repeatAction();
                }
                this.sendEmptyMessageDelayed(MainFragment.MSG_UPDATE_CHART, random.nextInt((max - min) + 1) + min);
                break;
            default:
                //do nothing
        }
    }

    public void setMinMaxValues(int min, int max) {
        removeMessages(MainFragment.MSG_UPDATE_CHART);
        this.min = min;
        this.max = max;
        sendEmptyMessage(MainFragment.MSG_UPDATE_CHART);
    }

    public interface HandlerListener {
        void repeatAction();
    }
}
